Bug 426722 - Mouse wheel should skip minimized tasks
Summary: Mouse wheel should skip minimized tasks
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: master
Platform: unspecified Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: Abhijeet Viswa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-19 12:14 UTC by Abhijeet Viswa
Modified: 2021-06-17 18:09 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.22


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Abhijeet Viswa 2020-09-19 12:14:13 UTC
If enabled, the task manager can cycle through tasks. However, there is no option to skip minimized tasks.

PS: Couldn't find this feature request. I'm sorry if this is a duplicate. I've setup my development tools and am ready to work on this feature.
Comment 1 Bug Janitor Service 2020-09-19 12:53:44 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/154
Comment 2 Nate Graham 2021-05-21 14:49:43 UTC
Git commit 1e546f4efd036acf20813acb5b11dda7f486167f by Nate Graham, on behalf of Abhijeet Viswa.
Committed on 21/05/2021 at 14:49.
Pushed by ngraham into branch 'master'.

[taskmanager] Skip iconified tasks when using Mouse wheel

Adds an option to skip iconified tasks both inside and outside tasks
groups.

M  +7    -2    applets/taskmanager/package/contents/ui/code/tools.js

https://invent.kde.org/plasma/plasma-desktop/commit/1e546f4efd036acf20813acb5b11dda7f486167f
Comment 3 Nate Graham 2021-05-21 14:50:55 UTC
Git commit 5d9aaf69f4ca6ca39c326193ebf9355af6f83c7a by Nate Graham, on behalf of Abhijeet Viswa.
Committed on 21/05/2021 at 14:50.
Pushed by ngraham into branch 'Plasma/5.22'.

[taskmanager] Skip iconified tasks when using Mouse wheel

Adds an option to skip iconified tasks both inside and outside tasks
groups.


(cherry picked from commit 1e546f4efd036acf20813acb5b11dda7f486167f)

M  +7    -2    applets/taskmanager/package/contents/ui/code/tools.js

https://invent.kde.org/plasma/plasma-desktop/commit/5d9aaf69f4ca6ca39c326193ebf9355af6f83c7a